Stock commitments
Update a stock commitment
Partially updates specific fields of an existing stock commitment without affecting the rest of the data.
Partially updates specific fields of an existing stock commitment without affecting the rest of the data.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockCommitment identifier
Request Body
application/merge-patch+json
The updated StockCommitment resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.skalasuite.com/api/stock_commitments/string" \ -H "Content-Type: application/merge-patch+json" \ -d ''{
"id": 0,
"stockVariant": "/entity/1",
"invoice": "/entity/1",
"invoiceItem": "/entity/1",
"isActive": true,
"workOrder": "/entity/1",
"amount": "string",
"status": "string"
}Empty
Empty
Empty
